body{
    position: relative;
    overflow-x: hidden;
    font-family: 'Poppins', sans-serif;
}
.step-one{
    width: 570px;
    margin: 0 auto;
    border: 1px solid #000;
    border-radius: 5px;
    margin-top: 50px;
}
.step-one .form-header{
    width: 100%;
    height: 30px;
    border-bottom: 1px solid #000;
}
.step-one .form-heading{
    padding: 1.5rem;
    border-bottom: 1px solid #000;
}
.step-one .form-heading h1{
    font-weight: 400;
}
.step-one .form-product-details{
    border-bottom: 1px solid #000;
}
.step-one .form-product-details .product-price-tag{
    padding: 1rem 1.5rem;
    width: 21%;
    display: inline-block;
    border-right: 1px solid #000;
}
.step-one .form-product-details .product-price-tag .has-tooltip .price {
    font-size: 18px;
    display: block;
    padding: 0.5rem 1.5rem 0.5rem 0.5rem;
    color: #fff;
    position: relative;
    line-height: 1;
    /* border: solid 0.0625rem #000; */
    border-right: 0;
    background-image: linear-gradient(to left,transparent 1rem,#36A9AE 1rem);
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}
.step-one .form-product-details .product-price-tag .has-tooltip .price:before {
    content: "";
    position: absolute;
    right: 1px;
    width: 0;
    height: 0;
    top: 0px;
    border-top: 17px solid transparent;
    border-bottom: 17px solid transparent;
    border-right: 15px solid #fff;
    z-index: 1;
}
.step-one .form-product-details .product-price-tag .has-tooltip .price:after {
    content: "";
    top: 0;
    bottom: 0;
    position: absolute;
    border-style: solid;
    border-width: calc(0.5rem + 0.5em);
    border-right: solid transparent 1rem;
    border-left: none;
}
.step-one .form-product-details .product-price-tag .has-tooltip .price:after {
    border-color: #36A9AE;
    right: 0.0625rem;
}
.step-one .form-product-details .product-price-tag .has-tooltip {
    position: relative;
    display: inline-grid;
}
.step-one .form-product-details .product-price-tag .has-tooltip [role=tooltip] {
    display: none;
    position: absolute;
    top: calc(100% + 0.5rem);
    left: 50%;
    transform: translate(-50%);
    z-index: 30;
    background-color: #000;
    color: #fff;
    font-size: 1rem;
    line-height: 1.5;
    --line-height: 1.5rem;
    padding: 1rem;
    border-radius: 0.25rem;
    width: 10rem;
    max-width: -webkit-max-content;
    max-width: -moz-max-content;
    max-width: max-content;
}
.step-one .form-product-details .product-price-tag .has-tooltip [role=tooltip]:before {
    content: "";
    border-left: solid 0.5rem transparent;
    border-right: solid 0.5rem transparent;
    border-bottom: solid 0.5rem #000;
    position: absolute;
    bottom: 100%;
    left: 50%;
    transform: translate(-50%);
}
.step-one .form-product-details .product-price-tag .has-tooltip:hover [role=tooltip]{
    display: block;
}
.step-one .form-product-details .product-brand-details{
    display: inline-block;
    padding: 1rem 1.5rem;
}
.step-one .form-product-details .product-brand-details img{
    height: 1.5em;
    width: 1.5em;
    border-radius: 10rem;
    flex-shrink: 0;
    border: solid 0.0625rem #000;
}
.step-one .form-product-details .product-brand-details .brand-name{
    display: inline-block;
    text-decoration: underline;
    margin-left: 5px;
    font-weight: 500;
}
.step-one .form-description{
    padding: 1.5rem;
    border-bottom: 1px solid #000;
}
.step-one .form-description p{
    font-size: 14px;
    margin-bottom: 0px;
}
.step-one .form-price-container{
    padding: 1.5rem;
}
.step-one .form-price-container label{
    font-size: 14px;
    font-weight: 600;
}
.step-one .form-price-container .price-wrapper{
    position: relative;
}
.step-one .form-price-container .price-wrapper .input-prefix {
    padding: 0.5rem 0.85rem;
    background-color: #fff;
    color: #000;
    --active-bg: #f4f4f0;
    border: solid 0.0625rem #000;
    border-radius: 10rem;
    font-family: Mabry Pro,sans-serif;
    max-width: 100%;
    min-width: 0;
    font-size: .875rem;
    line-height: 1.3;
    --line-height: 1.1375rem;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    position: absolute;
    left: 10px;
    top: 8px;
}
.step-one .form-price-container input{
    padding: 0.75rem 3.5rem;
    width: 100%;
    font-size: 16px;
    border: 1px solid #000;
    border-radius: 5px;
    margin-bottom: 15px;
}
.invalid{
    border: 1px solid #e11515 !important;
}
.step-one .form-price-container input::-webkit-outer-spin-button { 
    -webkit-appearance: none; 
    margin: 0; 
    opacity: 1;
}
.step-one .form-price-container input::-webkit-outer-spin-button,
.step-one .form-price-container input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}
.step-one .form-price-container input {
    -moz-appearance:textfield;
}
.step-one .form-price-container .set-price-btn {
    background: transparent;
    font-size: 1rem;
    line-height: 1.5;
    --line-height: 1.5rem;
    padding: 0.75rem 1rem;
    border: solid 0.0625rem #000;
    color: #fff;
    border-radius: 0.25rem;
    display: grid;
    grid-auto-flow: column;
    grid-auto-columns: minmax(0,-webkit-max-content);
    grid-auto-columns: minmax(0,max-content);
    display: inline-grid;
    align-items: center;
    justify-content: center;
    grid-gap: 0.5rem;
    gap: 0.5rem;
    cursor: pointer;
    text-decoration: none;
    flex-shrink: 0;
    transition: all .14s ease-out;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    width: 100%;
    font-weight: 500;
    background-color: #000;
    outline: none;
}
.step-one .form-price-container .set-price-btn:hover{
    background-color: #36a9ae;
    color:#fff;
    transform: translate(-0.25rem,-0.25rem);
    box-shadow: 0.25rem 0.25rem #000;
}


.step-two{
    display: none;
    width: 420px;
    margin: 0 auto;
    border: 1px solid #000;
    border-radius: 5px;
    margin-top: 50px;
    margin-bottom: 30px;
}
.step-two .step-header{
    padding: 1rem;
    text-align: center;
    position: relative;
    border-bottom: 1px solid #000;
}
.step-two .step-header .close-btn{
    position: absolute;
    top: 15px;
    right: 15px;
    border: 2px solid #000;
    font-size: 12px;
    font-weight: 600;
    line-height: 12px;
    padding: 1px 4px 2px 4px;
    border-radius: 50px;
    cursor: pointer;
}
.step-two .step-header .main-heading{
    font-size: 14px;
    font-weight: 600;
}
.step-two .step-header .title{
    font-size: 22px;
    font-weight: 500;
    margin-bottom: 7px;
}
.step-two .step-header .sub-title{
    font-size: 13px;
    font-weight: 500;
    margin-bottom: 0px;
}
.step-two .payment-info-container{
    padding: 1rem;
    border-bottom: 1px solid #000;
}
.step-two .payment-info-container .per-field label{
    font-size: 16px;
    font-weight: 600;
    margin-bottom: 5px;
}
.step-two .payment-info-container .per-field input {
    padding: 0.75rem 0.75rem;
    width: 100%;
    font-size: 16px;
    border: 1px solid #000;
    border-radius: 5px;
    margin-bottom: 15px;
}
.step-two .payment-info-container .per-field textarea{
    width: 100%;
    padding: 0.75rem 0.75rem;
    border: 1px solid #000;
    border-radius: 5px;
    height: 75px;
}

.step-two .payment-info-container .gift-switch .switch {
    position: relative;
    display: inline-block;
    width: 42px;
    height: 24px;
    margin-bottom: 0px;
}
.step-two .payment-info-container .gift-switch .switch input { 
    opacity: 0;
    width: 0;
    height: 0;
}
.step-two .payment-info-container .gift-switch .slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #E7E5E4;
    -webkit-transition: .2s;
    transition: .2s;
    border: 1px solid #000;
}
.step-two .payment-info-container .gift-switch .slider:before {
    position: absolute;
    content: "";
    height: calc(1.5em - 0.375rem);
    width: calc(1.5em - 0.375rem);
    top: 0.125rem;
    left: 0.1875rem;
    background-color: #000;
    -webkit-transition: .2s;
    transition: .2s;
}
.step-two .payment-info-container .gift-switch input:checked + .slider {
    background-color: #36A9AE;
}
.step-two .payment-info-container .gift-switch input:focus + .slider {
    box-shadow: 0 0 1px #36A9AE;
}
.step-two .payment-info-container .gift-switch input:checked + .slider:before {
    -webkit-transform: translateX(16px);
    -ms-transform: translateX(16px);
    transform: translateX(16px);
    background-color: #fff;
}
/* Rounded sliders */
.step-two .payment-info-container .gift-switch .slider.round {
    border-radius: 34px;
}
.step-two .payment-info-container .gift-switch .slider.round:before {
    border-radius: 50%;
}
.step-two .payment-info-container .gift-switch .label-text{
    font-size: 15px;
    font-weight: 500;
    margin-left: 5px;
}
.step-two .payment-info-container .gift-details-container{
    position: relative;
    border: solid 0.0625rem #000;
    padding: 1rem;
    border-radius: 5px;
    margin-top: 15px;
    display: none;
}
.step-two .payment-info-container .gift-details-container:before {
    content: "";
    border-left: solid 0.5rem transparent;
    border-right: solid 0.5rem transparent;
    border-bottom: solid 0.5rem #000;
    position: absolute;
    bottom: 100%;
    left: 0.75rem;
}
.step-two .card-information-container{
    padding: 1rem;
    border-bottom: 1px solid #000;
}
.step-two .card-information-container .card-tile{
    border: 1px solid #000;
    border-radius: 5px;
}
.step-two .card-information-container .card-tile .card-tile-header{
    background-color: #000;
    color: #fff;
    padding: 1rem;
}
.step-two .card-information-container .card-tile .card-tile-header h5{
    margin-bottom: 0px;
    font-size: 16px;
}
.step-two .card-information-container .card-tile .card-tile-header h5 i {
    font-size: 12px;
    margin-right: 5px;
    position: relative;
    top: -1px;
}
.step-two .card-information-container .card-tile .card-fields{
    padding: 1rem;
}
.step-two .card-information-container .card-tile .per-field label{
    font-size: 16px;
    font-weight: 600;
    margin-bottom: 5px;
}
.step-two .card-information-container .card-tile .per-field input {
    padding: 0.75rem 0.75rem;
    width: 100%;
    font-size: 16px;
    border: 1px solid #000;
    border-radius: 5px;
    margin-bottom: 10px;
}
.step-two .card-information-container .card-tile .per-field label.info-disclaimer .info-block {
    position: absolute;
    right: 15px;
    top: 1px;
}
.step-two .card-information-container .card-tile .per-field label.info-disclaimer .info-block:hover .info-disclaimer-text{
    display: block;
}
.step-two .card-information-container .card-tile .per-field label.info-disclaimer .info-disclaimer-text {
    display: none;
    position: absolute;
    top: 31px;
    right: -73px;
    z-index: 30;
    background-color: #000;
    color: #fff;
    font-size: 14px;
    line-height: 22px;
    padding: 1rem;
    border-radius: 0.25rem;
    width: 10rem;
    font-weight: 400;
    max-width: -webkit-max-content;
    max-width: -moz-max-content;
    max-width: max-content;
}
.step-two .card-information-container .card-tile .per-field label.info-disclaimer .info-disclaimer-text:before {
    content: "";
    border-left: solid 0.5rem transparent;
    border-right: solid 0.5rem transparent;
    border-bottom: solid 0.5rem #000;
    position: absolute;
    bottom: 100%;
    left: 50%;
    transform: translate(-50%);
}
.step-two .amount-disclaimer{
    padding: 1rem;
    text-align: center;
    border-bottom: 1px solid #000;
}
.step-two .amount-disclaimer p{
    margin-bottom: 0px;
    font-size: 14px;
    font-weight: 500;
}
.step-two .charge-amount-btn {
    background: transparent;
    font-size: 1rem;
    line-height: 1.5;
    --line-height: 1.5rem;
    padding: 0.75rem 1rem;
    border: solid 0.0625rem #000;
    color: #fff;
    border-radius: 0.25rem;
    display: grid;
    grid-auto-flow: column;
    grid-auto-columns: minmax(0,-webkit-max-content);
    grid-auto-columns: minmax(0,max-content);
    display: inline-grid;
    align-items: center;
    justify-content: center;
    grid-gap: 0.5rem;
    gap: 0.5rem;
    cursor: pointer;
    text-decoration: none;
    flex-shrink: 0;
    transition: all .14s ease-out;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    width: 100%;
    font-weight: 500;
    background-color: #000;
    outline: none;
}
.step-two .charge-amount-btn:hover{
    background-color: #36a9ae;
    color:#fff;
    transform: translate(-0.25rem,-0.25rem);
    box-shadow: 0.25rem 0.25rem #000;
}